Openings

To get the available reservation times for a restaurant, you can give this endpoint the Business ID along with a few parameters. This endpoint will return times around the requested timeslot and across several days to provide the end user with some options.

In general, the openings endpoint will return times across 4 days - the day before, current day and 2 days after the requested date.

Currently, only openings with "credit_card_required": false are returned.

cURL example with OAuth authentication:

    curl -X GET "https://api.yelp.com/v3/bookings/victors-french-bistro-test-listing-san-francisco/openings?covers=2&date=2017-12-30&time=18%3A00" -H "Authorization: Bearer {ACCESS_TOKEN}"

Example 200 response:

{
  "reservation_times": [
    {
      "date": "2017-09-22",
      "times": [
        {
          "credit_card_required": false,
          "time": "14:45",
        },
        {
          "credit_card_required": false,
          "time": "15:00",
        },
        {
          "credit_card_required": false,
          "time": "15:15",
        },
      ]
    },
    {
      "date": "2017-09-23",
      "times": [
        {
          "credit_card_required": false,
          "time": "14:45",
        },
        {
          "credit_card_required": false,
          "time": "15:00",
        },
        {
          "credit_card_required": false,
          "time": "15:15",
        },
      ]
    },
  ]
  "covers_range": {
    "min_party_size": 1,
    "max_party_size": 7
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

A unique identifier for a Yelp Business. Can be either a 22-character Yelp Business ID, or a Yelp Business Alias.

Query Params
integer
required
1 to 10

How many people are attending the reservation (min. value is 1; max value is 10).

string
required

The date for the reservation, format is YYYY-mm-dd

string
required

The time of the requested reservation, format is HH:MM

boolean

If true, include the covers_range dict in the response.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json